Final Fantasy Epic RPG 0.9.4.1

View previous topic View next topic Go down

Final Fantasy Epic RPG 0.9.4.1

Post  Karifean on Wed Jul 08, 2015 4:10 pm

Final Fantasy Epic RPG
Version 0.9.4.1



Credits
Karifean
psxlover

Special Thanks to Pfeffer and ILYAS (original map creator)!

Category
Role Playing Game

Description
Long before Noah built his ark, there were tales of an ancient land named Gaya, which is a world where swords and sorcery reigned. Its learning and power were swept away when the Crystal was destroyed, but one clue to its secrets remained: an ancient book known as the Gran Grimoire, hidden in darkness by the powers that once were. It is not certain how many copies of the book still exist, but it is said that whoever should hold one holds the power to change the world.

Found a bug?
Report it in our Bug Report Forum!

Want to submit something?
Got an idea for the next version? Submit it in our Submission Forum!

Changelog Version 0.9.4
- Save system updated; dynamic code length, save code can now be saved in a local file
- Normal saving should be working again.
- All job skills have been reworked
- A mercenary can now be hired to help you
- New Job: Freelancer
- Masteries no longer affect all jobs
- Script and dialogues have been reworked
- New items and equipment
- Rebalancing across all jobs and enemy superbosses

Changelog Version 0.9.4.1

- Fixed save system issues. -loadf now works in multiplayer.
- Fixed quest xp in multiplayer.
- Fixed some bugs that caused game crashes as well as some minor exploits.
- Some rebalancing.

Save system
The new save commands, "-savef" and "-loadf" can be used to save and load codes directly from files. However in order to use them a few requirements need to be fulfilled.
For "-savef", make sure that Warcraft III has rights to write files. On the usual modern Windows versions, simply running Warcraft III as Administrator should be enough. If you forget to do that the code will not be able to save to a file, so make sure you double-check whether or not the file has actually been created! If it hasn't, you can still either use regular Warcraft III saving, or use the old fashioned way of writing the code down yourself.
As for "-loadf", first off it only works in multiplayer if you're playing the latest 0.9.4.1 update, back in 0.9.4 it was a singleplayer exclusive. To get it to work you need to activate something called 'Allow Local Files'.
This .reg file will activate local files for you just by running it.
(Direct Link: https://drive.google.com/open?id=0B2I1A5C0icSHVEctb2xoLVJtUFE)
If you'd rather do it manually, here are some quick instructions:
Spoiler:
- Run regedit.exe (Windows Key + R -> type "regedit" -> OK)
- Navigate to HKEY_CURRENT_USER\Software\Blizzard Entertainment\Warcraft III
- Right-click the space and select "Create DWORD"
- Set the name of the created file to 'Allow Local Files' and the value to 1
- That's it. Now you should be able to load your code directly from the files created with "-savef"!

Codes from 0.9.3 and 0.9.2 are supported, though the level requirements and effects of most pieces of equipment have changed.
If you use a code from 0.9.3, you have to add a single letter in front of the code for it to be accepted. For short codes (-save/-load), add an uppercase "A". For long codes (-SLNG/-LLNG), add an uppercase "B". Note that the -LLNG command no longer exists, just use the regular -load command even for long codes.

Release Date of 0.9.4: July 8th 2015
Updated to 0.9.4.1: August 11th 2015

Download
Download from Epicwar
Download from Google Drive
Download from The Hive Workshop
Direct Links
http://www.epicwar.com/maps/256053/
https://drive.google.com/open?id=0B2I1A5C0icSHanU2bWs1RzFZS3M
http://www.hiveworkshop.com/forums/maps-564/final-fantasy-epic-rpg-0-9-4-1-a-267465/


Last edited by Karifean on Thu Oct 27, 2016 2:25 pm; edited 5 times in total

Karifean

Posts : 335
Join date : 2010-03-28

Back to top Go down

Re: Final Fantasy Epic RPG 0.9.4.1

Post  robizeratul on Thu Jul 09, 2015 11:12 pm

yay! Even though in many ways warcraft 3 is "dead" I assure you there are many people who respect what you do. So keep the updates comming! I say upload it to w3 hive so more people will see, it's an amazing map i'm sure a lot of new people and veterans will enjoy it!

robizeratul

Posts : 4
Join date : 2013-11-21

Back to top Go down

Fail Name Checksum

Post  EasleyRR on Fri Jul 10, 2015 3:39 pm

I'm trying to load a code from 0.9.3 version and it says "Fail name checksum"
I'm using the same name i used in all previous versions i played...dunno what's wrong :s

EasleyRR

Posts : 7
Join date : 2013-05-01

Back to top Go down

Re: Final Fantasy Epic RPG 0.9.4.1

Post  Karifean on Fri Jul 10, 2015 6:11 pm

EasleyRR wrote:I'm trying to load a code from 0.9.3 version and it says "Fail name checksum"
I'm using the same name i used in all previous versions i played...dunno what's wrong :s

Did you remember to put an additional letter in front of the code?

If you use a code from 0.9.3, you have to add a single letter in front of the code for it to be accepted. For short codes (-save/-load), add an uppercase "A". For long codes (-SLNG/-LLNG), add an uppercase "B".

_________________
Wuyanenwe Endutere Tebrimide Artesumamon
Isushigiwe Shanesukarure Doteorupuro
Omunusetin Werunayuru Temedumu Randusu

Karifean

Posts : 335
Join date : 2010-03-28

Back to top Go down

Re: Final Fantasy Epic RPG 0.9.4.1

Post  redredxx3 on Wed Jul 15, 2015 6:43 am

My friend appears to have the name check problem as well and he has tried both a normal code which he added A to it and a long code which he added B to it, no matter what we tried afterwards the game just wouldn't accept his code :/

redredxx3

Posts : 1
Join date : 2015-07-15

Back to top Go down

Re: Final Fantasy Epic RPG 0.9.4.1

Post  psxlover on Wed Jul 15, 2015 11:24 am

Are you sure he is using exactly the same name he was using?

psxlover

Posts : 209
Join date : 2011-09-09
Age : 28
Location : Greece

Back to top Go down

Re: Final Fantasy Epic RPG 0.9.4.1

Post  EasleyRR on Thu Jul 16, 2015 6:12 pm

Karifean wrote:
EasleyRR wrote:I'm trying to load a code from 0.9.3 version and it says "Fail name checksum"
I'm using the same name i used in all previous versions i played...dunno what's wrong :s

Did you remember to put an additional letter in front of the code?

If you use a code from 0.9.3, you have to add a single letter in front of the code for it to be accepted. For short codes (-save/-load), add an uppercase "A". For long codes (-SLNG/-LLNG), add an uppercase "B".

Yes bro, i put exactly like it ask with uppercase B and still not working...
It's pointing that it's related to the name that i use...but i always use the same name... 4v.Alone_Easley


Last edited by EasleyRR on Thu Jul 16, 2015 6:19 pm; edited 1 time in total (Reason for editing : missing info)

EasleyRR

Posts : 7
Join date : 2013-05-01

Back to top Go down

Re: Final Fantasy Epic RPG 0.9.4.1

Post  psxlover on Thu Jul 16, 2015 7:33 pm

You didn't/don't use color codes or anything right?

psxlover

Posts : 209
Join date : 2011-09-09
Age : 28
Location : Greece

Back to top Go down

Re: Final Fantasy Epic RPG 0.9.4.1

Post  psxlover on Wed Jul 22, 2015 5:37 pm

redredxx3 did your friends name also contain an underscore (_)?

psxlover

Posts : 209
Join date : 2011-09-09
Age : 28
Location : Greece

Back to top Go down

Items saved?

Post  EasleyRR on Sat Jul 25, 2015 5:58 am

Hey buddy...Doesn't it now saves items on Gaya/House? Cuz i saved my game and now that i logged and loaded my code my itens wasn't there, i just had Ice Skull and 8 Scroll of House Portal...It was itens to get Masamune from Baazar...Also i have noticed that some itens cannot be saved, but even the Water/Seal/Earth materia dissappeared :s

EasleyRR

Posts : 7
Join date : 2013-05-01

Back to top Go down

Re: Final Fantasy Epic RPG 0.9.4.1

Post  bobjoe123 on Sun Aug 09, 2015 8:02 pm

IT"S HEEEEEERE, hope this shit's good

bobjoe123

Posts : 48
Join date : 2014-09-02

Back to top Go down

Re: Final Fantasy Epic RPG 0.9.4.1

Post  bobjoe123 on Sun Aug 09, 2015 8:56 pm

Also, are the freelancer skills supposed to be level 10, rather than master level? cause I understand no innate abilities, and no ult, but not having the skills maxed just seems a little like a shame

bobjoe123

Posts : 48
Join date : 2014-09-02

Back to top Go down

Re: Final Fantasy Epic RPG 0.9.4.1

Post  Karifean on Sun Aug 09, 2015 9:45 pm

bobjoe123 wrote:Also, are the freelancer skills supposed to be level 10, rather than master level? cause I understand no innate abilities, and no ult, but not having the skills maxed just seems a little like a shame

Balancing. He's still very powerful as is.

_________________
Wuyanenwe Endutere Tebrimide Artesumamon
Isushigiwe Shanesukarure Doteorupuro
Omunusetin Werunayuru Temedumu Randusu

Karifean

Posts : 335
Join date : 2010-03-28

Back to top Go down

Re: Final Fantasy Epic RPG 0.9.4.1

Post  Andrenden on Mon Aug 10, 2015 10:43 am

bobjoe123 wrote:Also, are the freelancer skills supposed to be level 10, rather than master level? cause I understand no innate abilities, and no ult, but not having the skills maxed just seems a little like a shame
it's balancing and so that rather than a full team of freelancers you weave some specific classes in. Even if you built the freelancer like one of the classes, let's take knight for example, his skills should be weaker. Sure he might get the job done but that Knight would do it better. The trade off being that you have increased stats and freedom of customization from deciding skills, your primary attribute even if your hero is ranged or melee. While the skills are scaled down the synergy certain skills have with eachother just opens up a world of possibilities. Chakra with Divine Shield for instance.

Andrenden

Posts : 251
Join date : 2012-08-15
Age : 26
Location : Princeton, IA

Back to top Go down

Re: Final Fantasy Epic RPG 0.9.4.1

Post  bobjoe123 on Mon Aug 10, 2015 5:35 pm

Andrenden wrote:
bobjoe123 wrote:Also, are the freelancer skills supposed to be level 10, rather than master level? cause I understand no innate abilities, and no ult, but not having the skills maxed just seems a little like a shame
it's balancing and so that rather than a full team of freelancers you weave some specific classes in. Even if you built the freelancer like one of the classes, let's take knight for example, his skills should be weaker. Sure he might get the job done but that Knight would do it better. The trade off being that you have increased stats and freedom of customization from deciding skills, your primary attribute even if your hero is ranged or melee. While the skills are scaled down the synergy certain skills have with eachother just opens up a world of possibilities. Chakra with Divine Shield for instance.
Yeah, I mean that's fair but again as far as your knight example, I would definitely think that just the fact that Freelancer doesn't have insanely awesome illusion ult is enough, but I guess fair is fair.

bobjoe123

Posts : 48
Join date : 2014-09-02

Back to top Go down

Re: Final Fantasy Epic RPG 0.9.4.1

Post  bobjoe123 on Mon Aug 10, 2015 6:22 pm

Andrenden wrote:
bobjoe123 wrote:Also, are the freelancer skills supposed to be level 10, rather than master level? cause I understand no innate abilities, and no ult, but not having the skills maxed just seems a little like a shame
it's balancing and so that rather than a full team of freelancers you weave some specific classes in. Even if you built the freelancer like one of the classes, let's take knight for example, his skills should be weaker. Sure he might get the job done but that Knight would do it better. The trade off being that you have increased stats and freedom of customization from deciding skills, your primary attribute even if your hero is ranged or melee. While the skills are scaled down the synergy certain skills have with eachother just opens up a world of possibilities. Chakra with Divine Shield for instance.
Also, again another thing, a far better synergy with Divine shield would Be Sorcerer's Intel Boost, because Chakra kind of falls off really quickly, but because of the slot constraint it is far harder to find a Decent synergyst with Divine shield. But yeah I guess I should'nt be complaining that much, custom hero is still dope as hell, I still have an amazing Agi carry build, tho no idea what Slot 2 should be, I could potentially use Oracle dmg boost, but yeah i need to test my freelancer now that he's 99, tho I suspect he will lose out to Conventional jobs.

bobjoe123

Posts : 48
Join date : 2014-09-02

Back to top Go down

Re: Final Fantasy Epic RPG 0.9.4.1

Post  Karifean on Wed Aug 12, 2015 1:19 am

UPDATE: Version 0.9.4.1 has been released which fixes the major issues that have come up since 0.9.4's release. Most importantly, players that were unable to load codes from 0.9.3 should be able to do as such just fine now, and the generated save code should no longer be bugged if you were carrying unsaveable items with charges as you saved. You can also now load directly from files even in multiplayer!

_________________
Wuyanenwe Endutere Tebrimide Artesumamon
Isushigiwe Shanesukarure Doteorupuro
Omunusetin Werunayuru Temedumu Randusu

Karifean

Posts : 335
Join date : 2010-03-28

Back to top Go down

Re: Final Fantasy Epic RPG 0.9.4.1

Post  Andrenden on Wed Aug 12, 2015 2:06 am

bobjoe123 wrote:
Andrenden wrote:
bobjoe123 wrote:Also, are the freelancer skills supposed to be level 10, rather than master level? cause I understand no innate abilities, and no ult, but not having the skills maxed just seems a little like a shame
it's balancing and so that rather than a full team of freelancers you weave some specific classes in. Even if you built the freelancer like one of the classes, let's take knight for example, his skills should be weaker. Sure he might get the job done but that Knight would do it better. The trade off being that you have increased stats and freedom of customization from deciding skills, your primary attribute even if your hero is ranged or melee. While the skills are scaled down the synergy certain skills have with eachother just opens up a world of possibilities. Chakra with Divine Shield for instance.
Also, again another thing, a far better synergy with Divine shield would Be Sorcerer's Intel Boost, because Chakra kiquicklynd of falls off really , but because of the slot constraint it is far harder to find a Decent synergyst with Divine shield. But yeah I guess I should'nt be complaining that much, custom hero is still dope as hell, I still have an amazing Agi carry build, tho no idea what Slot 2 should be, I could potentially use Oracle dmg boost, but yeah i need to test my freelancer now that he's 99, tho I suspect he will lose out to Conventional jobs.
Each freelancer Chakra restores 1500 MP, the absorb multiplier for Divine Shield is 4.5 I think. simple math 1500*4 is 6,000 points of damage you can absorb. Couple casts of that overshadows the intell gain imo.

On that note, Whoo! Bug fixes! I havn't been able to break the map yet so thats a good sign Laughing

Andrenden

Posts : 251
Join date : 2012-08-15
Age : 26
Location : Princeton, IA

Back to top Go down

Re: Final Fantasy Epic RPG 0.9.4.1

Post  noobhacker on Fri Dec 25, 2015 8:22 pm

just come here to say thank you for updating this, the new rpg nowadays are so boring

noobhacker

Posts : 7
Join date : 2012-12-30

Back to top Go down

Re: Final Fantasy Epic RPG 0.9.4.1

Post  AlreadyDead on Mon Feb 08, 2016 7:45 pm

EasleyRR wrote:
Karifean wrote:
EasleyRR wrote:I'm trying to load a code from 0.9.3 version and it says "Fail name checksum"
I'm using the same name i used in all previous versions i played...dunno what's wrong :s

Did you remember to put an additional letter in front of the code?

If you use a code from 0.9.3, you have to add a single letter in front of the code for it to be accepted. For short codes (-save/-load), add an uppercase "A". For long codes (-SLNG/-LLNG), add an uppercase "B".

Yes bro, i put exactly like it ask with uppercase B and still not working...
It's pointing that it's related to the name that i use...but i always use the same name... 4v.Alone_Easley

I happened across this problem myself...  Imagine the sadness of grinding FFEPICRPG 9.3 for days and days w/a friend
only to be unable to use the code in 9.4.1..   I believe the trouble has to do with using -SLNG instead of -save.
I simply reloaded 0.9.3unfinished and entered my old -LLNG save, then typed -save, F12(PrtSc), opened the screenshot and
manually copied the code (for the last time ever!), and then in 9.4.1 made sure to put a capital A before the code, so it looked like:
-load A$VGPTKT#zR7#MHd7#gjnUTvgdPh3FBBsXErUZko1qDRyNCA1hDQ5RWaoC#SAZAiX#rG2Y$
And thankfully it worked!  I recomend you do the same,
unless you really want to start over...
I had like 5 Aire Tam Enib Moc's in my inventory I really didn't wanna do them again..

Also I really love the new update I've recently been hosting and playing many games never with a crash/desync! ++props
-the older version always seemed to either crash in battle arena or I'd get desynced out after a short time.

AlreadyDead

Posts : 2
Join date : 2016-02-05

Back to top Go down

Re: Final Fantasy Epic RPG 0.9.4.1

Post  psxlover on Wed Mar 02, 2016 9:59 pm

AlreadyDead wrote:
EasleyRR wrote:
Karifean wrote:
EasleyRR wrote:I'm trying to load a code from 0.9.3 version and it says "Fail name checksum"
I'm using the same name i used in all previous versions i played...dunno what's wrong :s

Did you remember to put an additional letter in front of the code?

If you use a code from 0.9.3, you have to add a single letter in front of the code for it to be accepted. For short codes (-save/-load), add an uppercase "A". For long codes (-SLNG/-LLNG), add an uppercase "B".

Yes bro, i put exactly like it ask with uppercase B and still not working...
It's pointing that it's related to the name that i use...but i always use the same name... 4v.Alone_Easley

I happened across this problem myself...  Imagine the sadness of grinding FFEPICRPG 9.3 for days and days w/a friend
only to be unable to use the code in 9.4.1..   I believe the trouble has to do with using -SLNG instead of -save.

That was not the same issue, his problem was fixed in 9.4.1 and was happening because when the loading code was updated it calculated a wrong character instead of _ for old saves.

psxlover

Posts : 209
Join date : 2011-09-09
Age : 28
Location : Greece

Back to top Go down

Re: Final Fantasy Epic RPG 0.9.4.1

Post  Karifean on Sun Dec 18, 2016 5:36 pm

With the newest 1.27b Warcraft update, the output folder for save codes generated with "-savef" has changed. It is now in the CustomMapData folder and the file has .pld appended. If you open the file with a text editor you can still read and copy your code from it, but naturally, this breaks "-loadf" for now.

Edit: Turns out "-loadf" still works after all, however it can only read savefiles created after 1.27b or savefiles from before 1.27b moved to the appropriate folder. If you want to keep using your savefile with loadf, cut and paste your FFERPG folder in the Warcraft III folder to the CustomMapData folder (if you are unsure of how to do it properly, open up FFERPG, use "-savef" and the new, proper FFERPG folder will be generated in the process). Then, rename the "<savename>.bat" files in the folder to "<savename>.bat.pld" instead. Special Thanks to psxlover.

_________________
Wuyanenwe Endutere Tebrimide Artesumamon
Isushigiwe Shanesukarure Doteorupuro
Omunusetin Werunayuru Temedumu Randusu

Karifean

Posts : 335
Join date : 2010-03-28

Back to top Go down

Re: Final Fantasy Epic RPG 0.9.4.1

Post  Sponsored content Today at 4:16 pm


Sponsored content


Back to top Go down

View previous topic View next topic Back to top

- Similar topics

 
Permissions in this forum:
You cannot reply to topics in this forum